Subject: bug#49306: closed (Re: bug#49306: 28.0.50; Info of Eshell/Extension Modules/* is empty)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Jul 2023 19:30:02 +0000

Your bug report

#49306: 28.0.50; Info of Eshell/Extension Modules/* is empty

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49306: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=49306
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49306: 28.0.50; Info of Eshell/Extension Modules/* is empty
From: Jim Porter <[email-masked]>
To: [email-masked]
Date: Sat, 1 Jul 2023 12:28:50 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 6/15/2023 10:12 AM, Jim Porter wrote:
> Attached are some patches to finish the Eshell documentation, targeting 
> Emacs 30 (they could probably be backported to 29 without much work, but 
> I've made some other changes to the Eshell manual in 30 already...)

I've now pushed these changes to master as 75278855f4a. Closing this 
bug. Of course, if there are any other areas we should add to the Eshell 
documentation, just let me know (probably in a new bug).

Subject: 28.0.50; Info of Eshell/Extension Modules/* is empty
From: Gabriel <[email-masked]>
To: [email-masked]
Date: Wed, 30 Jun 2021 21:06:29 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Emacs 28 from master branch (HEAD 8ebd8e1fea1d0d925850db97b64bf13a6a1f698b)

1. Open Info (C-h i)
2. Search for Eshell (C-s Eshell)
3. Navigate to 'Extension modules'
4. All child pages are empty:
   * Writing a module
   * Module testing
   * Directory handling
   * Key rebinding:
   * Smart scrolling
   * Terminal emulation

I checked the git history of file 'doc/misc/eshell.texi' and indeed
these sections are empty.

I suggest to either document these sections or remove these entries from
Info to avoid confusion.